# Interface DeconstructionPatternTree

All Superinterfaces:
  `PatternTree, Tree`

public interface DeconstructionPatternTree extends PatternTree
A deconstruction pattern tree.

Since:
  21

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getDeconstructor()`
Returns the deconstructed type.
`List<? extends PatternTree>`
`getNestedPatterns()`
Returns the nested patterns.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getDeconstructor

ExpressionTree getDeconstructor()
Returns the deconstructed type.

Returns:
  the deconstructed type

### getNestedPatterns

List<? extends PatternTree> getNestedPatterns()
Returns the nested patterns.

Returns:
  the nested patterns.